Installing libdisplay-info (0.2.0-1) breaks dependency 'libdisplay-info.so=1-64' required by gamescope

garuda-inxi
System:
  Kernel: 6.9.5-1-cachyos arch: x86_64 bits: 64 compiler: gcc v: 14.1.1
    clocksource: tsc avail: hpet,acpi_pm
    parameters: root=UUID=8a69f047-feee-46cf-81a1-d299eb173883 rw
    rootflags=subvol=@ loglevel=3 sysrq_always_enabled=1 amd_pstate=active
    amdgpu.ppfeaturemask=0xffffffff tsc=reliable clocksource=tsc nowatchdog
    nmi_watchdog=0 initrd=\@\boot\initramfs-linux-cachyos.img
  Desktop: KDE Plasma v: 6.1.0 tk: Qt v: N/A info: frameworks v: 6.3.0
    wm: kwin_wayland vt: 1 dm: SDDM Distro: Garuda base: Arch Linux
Machine:
  Type: Desktop Mobo: ASRock model: X470 Taichi serial: <superuser required>
    uuid: <superuser required> UEFI: American Megatrends v: P5.10
    date: 10/20/2022
CPU:
  Info: model: AMD Ryzen 5 5600X bits: 64 type: MT MCP arch: Zen 3+ gen: 4
    level: v3 note: check built: 2022 process: TSMC n6 (7nm) family: 0x19 (25)
    model-id: 0x21 (33) stepping: 2 microcode: 0xA20120A
  Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
    L1: 384 KiB desc: d-6x32 KiB; i-6x32 KiB L2: 3 MiB desc: 6x512 KiB
    L3: 32 MiB desc: 1x32 MiB
  Speed (MHz): avg: 3477 high: 4575 min/max: 550/4651 scaling:
    driver: amd-pstate-epp governor: performance cores: 1: 4575 2: 3659 3: 3659
    4: 3659 5: 3660 6: 3654 7: 3677 8: 550 9: 3660 10: 3657 11: 3658 12: 3658
    bogomips: 88809
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
  Vulnerabilities: <filter>
Graphics:
  Device-1: AMD Navi 22 [Radeon RX 6700/6700 XT/6750 XT / 6800M/6850M XT]
    vendor: Gigabyte driver: amdgpu v: kernel arch: RDNA-2 code: Navi-2x
    process: TSMC n7 (7nm) built: 2020-22 pcie: gen: 4 speed: 16 GT/s
    lanes: 16 ports: active: DP-1,DP-2,HDMI-A-2 empty: HDMI-A-1,Writeback-1
    bus-ID: 10:00.0 chip-ID: 1002:73df class-ID: 0300
  Display: wayland server: X.org v: 1.21.1.13 with: Xwayland v: 24.1.0
    compositors: 1: Gamescope 2: kwin_wayland driver: X: loaded: amdgpu
    unloaded: modesetting,radeon alternate: fbdev,vesa dri: radeonsi
    gpu: amdgpu d-rect: 4980x2513 display-ID: 0
  Monitor-1: DP-1 pos: bottom-r res: 2048x864 size: N/A modes: N/A
  Monitor-2: DP-2 pos: primary,top-left res: 1396x785 size: N/A modes: N/A
  Monitor-3: HDMI-A-2 pos: middle-c res: 1536x864 size: N/A modes: N/A
  API: EGL v: 1.5 hw: drv: amd radeonsi platforms: device: 0 drv: radeonsi
    device: 1 drv: swrast gbm: drv: kms_swrast surfaceless: drv: radeonsi
    wayland: drv: radeonsi x11: drv: radeonsi
  API: OpenGL v: 4.6 compat-v: 4.5 vendor: amd mesa v: 24.1.1-arch1.1
    glx-v: 1.4 direct-render: yes renderer: AMD Radeon RX 6700 XT (radeonsi
    navi22 LLVM 17.0.6 DRM 3.57 6.9.5-1-cachyos) device-ID: 1002:73df
    memory: 11.72 GiB unified: no display-ID: :0.0
  API: Vulkan v: 1.3.279 layers: 22 device: 0 type: discrete-gpu name: AMD
    Radeon RX 6700 XT (RADV NAVI22) driver: mesa radv v: 24.1.1-arch1.1
    device-ID: 1002:73df surfaces: xcb,xlib,wayland device: 1 type: cpu
    name: llvmpipe (LLVM 17.0.6 256 bits) driver: mesa llvmpipe
    v: 24.1.1-arch1.1 (LLVM 17.0.6) device-ID: 10005:0000
    surfaces: xcb,xlib,wayland
Audio:
  Device-1: AMD Navi 21/23 HDMI/DP Audio driver: snd_hda_intel v: kernel pcie:
    gen: 4 speed: 16 GT/s lanes: 16 bus-ID: 10:00.1 chip-ID: 1002:ab28
    class-ID: 0403
  Device-2: Sony INZONE H9 / H7
    driver: cdc_acm,hid-generic,snd-usb-audio,usbhid type: USB rev: 2.0
    speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 1-6:3 chip-ID: 054c:0e53
    class-ID: 0a00
  API: ALSA v: k6.9.5-1-cachyos status: kernel-api with: aoss
    type: oss-emulator tools: N/A
  Server-1: sndiod v: N/A status: off tools: aucat,midicat,sndioctl
  Server-2: PipeWire v: 1.0.7 status: active with: 1: pipewire-pulse
    status: active 2: wireplumber status: active 3: pipewire-alsa type: plugin
    4: pw-jack type: plugin tools: pactl,pw-cat,pw-cli,wpctl
Network:
  Device-1: Intel Dual Band Wireless-AC 3168NGW [Stone Peak] driver: iwlwifi
    v: kernel pcie: gen: 1 speed: 2.5 GT/s lanes: 1 bus-ID: 08:00.0
    chip-ID: 8086:24fb class-ID: 0280
  IF: wlp8s0 state: down mac: <filter>
  Device-2: Intel I211 Gigabit Network vendor: ASRock driver: igb v: kernel
    pcie: gen: 1 speed: 2.5 GT/s lanes: 1 port: d000 bus-ID: 0a:00.0
    chip-ID: 8086:1539 class-ID: 0200
  IF: enp10s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
  IF-ID-1: virbr0 state: down mac: <filter>
  Info: services: NetworkManager, smbd, sshd, systemd-timesyncd
Bluetooth:
  Device-1: Edimax Bluetooth Adapter driver: btusb v: 0.8 type: USB rev: 1.1
    speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 5-2:2 chip-ID: 7392:c611
    class-ID: e001 serial: <filter>
  Report: btmgmt ID: hci0 rfk-id: 0 state: up address: <filter> bt-v: 5.1
    lmp-v: 10 status: discoverable: yes pairing: yes class-ID: 6c0104
Drives:
  Local Storage: total: 5.46 TiB used: 5.48 TiB (100.5%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Western Digital
    model: WD BLACK SN770 1TB size: 931.51 GiB block-size: physical: 512 B
    logical: 512 B speed: 63.2 Gb/s lanes: 4 tech: SSD serial: <filter>
    fw-rev: 731120WD temp: 35.9 C scheme: GPT
  ID-2: /dev/nvme1n1 maj-min: 259:3 vendor: Samsung model: SSD 980 1TB
    size: 931.51 GiB block-size: physical: 512 B logical: 512 B speed: 31.6 Gb/s
    lanes: 4 tech: SSD serial: <filter> fw-rev: 3B4QFXO7 temp: 35.9 C
    scheme: GPT
  ID-3: /dev/sda maj-min: 8:0 vendor: Seagate model: ST4000VN006-3CW104
    size: 3.64 TiB block-size: physical: 4096 B logical: 512 B speed: 6.0 Gb/s
    tech: HDD rpm: 5400 serial: <filter> fw-rev: SC60 scheme: GPT
Partition:
  ID-1: / raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 860.63 GiB (92.4%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
    used: 42.1 MiB (14.0%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
  ID-3: /home raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 860.63 GiB (92.4%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-4: /var/log raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 860.63 GiB (92.4%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
  ID-5: /var/tmp raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 860.63 GiB (92.4%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default) zswap: no
  ID-1: swap-1 type: zram size: 31.26 GiB used: 3.16 GiB (10.1%)
    priority: 100 comp: zstd avail: lzo,lzo-rle,lz4,lz4hc,842 max-streams: 12
    dev: /dev/zram0
Sensors:
  System Temperatures: cpu: 59.2 C mobo: 35.0 C gpu: amdgpu temp: 54.0 C
    mem: 56.0 C
  Fan Speeds (rpm): cpu: 2280 fan-1: 0 fan-3: 1312 fan-4: 1393 fan-5: 1270
    gpu: amdgpu fan: 0
  Power: 12v: N/A 5v: N/A 3.3v: 3.28 vbat: 3.28 gpu: amdgpu watts: 28.00
Info:
  Memory: total: 32 GiB available: 31.26 GiB used: 15.48 GiB (49.5%)
  Processes: 602 Power: uptime: 5m states: freeze,mem,disk suspend: s2idle
    wakeups: 0 hibernate: platform avail: shutdown, reboot, suspend, test_resume
    image: 12.48 GiB services: org_kde_powerdevil, power-profiles-daemon,
    upowerd Init: systemd v: 256 default: graphical tool: systemctl
  Packages: 2890 pm: pacman pkgs: 2840 libs: 621 tools: octopi,paru,yay
    pm: appimage pkgs: 0 pm: flatpak pkgs: 50 Compilers: clang: 17.0.6
    gcc: 14.1.1 Shell: garuda-inxi default: fish v: 3.7.1
    running-in: alacritty inxi: 3.3.34
Garuda (2.6.26-1):
  System install date:     2024-01-11
  Last full system update: 2024-06-20
  Is partially upgraded:   No
  Relevant software:       snapper NetworkManager dracut
  Windows dual boot:       Probably (Run as root to verify)
  Failed units:

as the title says, I cannot update because of a dependency issue with game scope.

update
:: Synchronizing package databases...
 garuda is up to date
 core is up to date
 extra is up to date
 multilib is up to date
 chaotic-aur is up to date

--> Refreshing mirrorlists using rate-mirrors, please be patient..🍵

:: Synchronizing package databases...
 garuda downloading...
 core downloading...
 extra downloading...
 multilib downloading...
 chaotic-aur downloading...
spawn pacman -Su
:: Starting full system upgrade...
warning: itch-setup-bin: local (1.26.0-1.2) is newer than chaotic-aur (1.26.0-1)
warning: organize: ignoring package upgrade (2.2.0-1 => 3.2.3-1)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing libdisplay-info (0.2.0-1) breaks dependency 'libdisplay-info.so=1-64' required by gamescope
5 Likes

Whenever I have update issues like this, it’s always Gamescope, every single time. I just simply uninstall it, do my update, reinstall it when needed and that usually solves my issue. Until Gamescope kicks up a fit again.

Game scope has been very … Buggy lately.

However I tried that and ended up not being able to install game scope so I went back to a snapshot.

Sucks because there a kwin update there that I think fixes some issues I was having…

I just did

sudo pacman -Rdd libdisplay-info
upd -a

and done :slightly_smiling_face:

With his command I was able to run the update too. gamescope however is not launching due to now finding its dependency, so is there anything to do after removing libdisplayinfo like that?

The fix is committed since yesterday. It’s just a matter of waiting for the approval and building the new release.

3 Likes

just update gamescope again :

 sudo pacman -Sy gamescope

I got the issue after doing that in the hyprland package , what I did was just opened tty and did

sudo pacman -S hyprland 

and it was working again

The issue is closed now and the package updated.
Please try garuda-update

2 Likes

yup working now

aur package (and I guess chaotic package) still need to be fixed though but the arch package is working.

you might have to install the arch version to update (not the git package)

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.